
/*グリッド*/

.container {
  background-color: #EDEDEC;
  display: grid;
  padding: 0px;
  min-height: 100vh;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1.5fr 5.5fr 2.5fr 4fr 1.5fr;
  gap: 5px 5px;
  grid-auto-flow: row dense;
  grid-template-areas:
    "header header header"
    "memo1 memo1 memo1"
    "r36 send1 PLC"
    "r36_param send2 plc_param"
    "footer footer footer";  
}

.header { 
  grid-area: header;
  justify-items: center;
  align-items: center;
  background-color: #1f1e63;
  color:#dcd5c8;
  font-size: 35px;
  font-family: Britannic;
  font-weight: bold;
}

.footer { 
  grid-area: footer;
  justify-items: left;
  background-color: #1f1e63;
  color:#dcd5c8;
  align-items: left; 
}

.r36 {
  grid-area: r36;
  justify-items: center;
  align-items: center;
}

.plc { 
  grid-area: PLC; 
  justify-items: center;
  align-items: center;
}

.memo1 {
  grid-area: memo1; 
  justify-items: center;
  align-items: center;
  color:black;
  border-radius: 15px;
  font-size:16px;
  color:#1f1e63;
  font-family: Britannic;
  font-weight: bolder;

}

.r36_param {
  grid-area: r36_param;
  justify-items: left;
  align-items: center;  
  border:3px solid;
  border-color: #1f1e63;
  border-radius: 15px;
  padding:5px;
  font-family: Britannic;
  font-weight: bold;
}

.send2 {
  grid-area: send2;
  justify-items: center;
  align-items: center;
}

#btn_size{

  width:50px;

}

.send1 {
  grid-area: send1; 
  justify-items: center;
  align-items: center;
}

.plc_param {
  grid-area: plc_param;
  justify-items: left;
  align-items: center;
  border:3px solid;
  border-color: #1f1e63;
  border-radius: 15px;
  padding:5px;
  font-family: Britannic;
  font-weight: bold;
}

/* 各設定 */
.imgsc {
  max-width: 50%;
  height: 50%;
  display: block;
  margin: auto;
}

/*スマホ設定*/
@media screen and (max-width: 479px){

.container {
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 0.6fr 1.5fr 0.5fr 2.3fr 0.5fr;
  gap: 5px 5px;
}

.memo1 {
  font-size:8px;
}

.r36_param, .plc_param{
  padding:20px;
}

.r36_param input {
  width:100%;
}

.plc_param span {
  width:100%;
}

}
